import React from 'react';
import {graphql, PageProps, Link} from 'gatsby';
import Layout from '../components/Layout';
import {Query} from '../../gatsby-graphql';

const MdPageTemplate: React.FC<PageProps<Query>> = ({data}) => {
  const post = data.markdownRemark;
    return (
      <Layout>
        <div className="max-w-screen-sm mx-auto">
        <Link to="/blog" className="block mb-2">
        &lt;&lt; Back to post list
        </Link>
        <h1>{post.frontmatter?.title}</h1>
        <span className="text-sm">{post.frontmatter?.date}</span>
        <hr className="my-4"/>
        <div dangerouslySetInnerHTML={{__html: post.html}}>
        </div>
        </div>
      </Layout>
    );
}

export default MdPageTemplate;

export const pageQuery = graphql`
  query MarkdownPageTemplate($slug: String!) {
    markdownRemark(frontmatter: { slug: { eq: $slug } }) {
      html
      frontmatter {
        slug
        date(formatString: "MMMM DD, YYYY")
        title
      }
    }
  }
`;
